# SDPAudioMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPAudioMediaDescription:

[legend]
Collaboration diagram for SDPAudioMediaDescription:
[legend]

## Public Member Functions

| SDPAudioMediaDescription (const OpalTransportAddress &address)
virtual SDPMediaDescription * | CreateEmpty () const
virtual PString | GetSDPMediaType () const
virtual bool | PrintOn (ostream &str, const PString &connectString) const
virtual void | SetAttribute (const PString &attr, const PString &value)
bool | GetOfferPTime () const
void | SetOfferPTime (bool value)

## Protected Attributes

bool | m_offerPTime

## Constructor & Destructor Documentation

SDPAudioMediaDescription::SDPAudioMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual SDPMediaDescription* SDPAudioMediaDescription::CreateEmpty | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

bool SDPAudioMediaDescription::GetOfferPTime | ( |  | ) | const`[inline]`

virtual PString SDPAudioMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual bool SDPAudioMediaDescription::PrintOn | ( | ostream & | str,
|  | const PString & | connectString |
| ) |  |  | const`[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

virtual void SDPAudioMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

void SDPAudioMediaDescription::SetOfferPTime | ( | bool | value | ) | `[inline]`

## Field Documentation

bool SDPAudioMediaDescription::m_offerPTime `[protected]`

The documentation for this class was generated from the following file:

- sdp.h